commit:     76b33c54c4ad71002f065a5b89982601e76befb4
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 20 11:32:41 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Mar 20 11:32:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76b33c54

x11-libs/xpa: Port to EAPI 7

Closes: https://bugs.gentoo.org/725280
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 x11-libs/xpa/files/xpa-2.1.18-makefile.patch | 44 ++++++++++++++++++++++++----
 x11-libs/xpa/xpa-2.1.18.ebuild               | 22 +++++++++-----
 2 files changed, 52 insertions(+), 14 deletions(-)

diff --git a/x11-libs/xpa/files/xpa-2.1.18-makefile.patch 
b/x11-libs/xpa/files/xpa-2.1.18-makefile.patch
index 34aeed5b39d..1ceb29dbfcb 100644
--- a/x11-libs/xpa/files/xpa-2.1.18-makefile.patch
+++ b/x11-libs/xpa/files/xpa-2.1.18-makefile.patch
@@ -1,5 +1,5 @@
---- a/Makefile.in      2016-12-19 19:21:28.566222982 +0000
-+++ b/Makefile.in      2016-12-19 19:23:23.795246443 +0000
+--- a/Makefile.in
++++ b/Makefile.in
 @@ -28,6 +28,11 @@
  
  prefix =              @prefix@
@@ -37,24 +37,33 @@
  
  # Platform-specific X compiler flags (include file specifications)
  X_CFLAGS =            @X_CFLAGS@
-@@ -177,7 +182,7 @@
+@@ -173,12 +178,12 @@
+ 
+ $(LIB):               $(LIBOBJS)
+               $(RM) $(LIB)
+-              ar crv $(LIB) $(LIBOBJS)
++              $(AR) crv $(LIB) $(LIBOBJS)
                $(RANLIB) $(LIB)
  
  shlib:                $(LIB)
 -              @(rm -rf lib$(PACKAGE).tmp; mkdir lib$(PACKAGE).tmp; \
+-              (cd lib$(PACKAGE).tmp && ar x ../lib$(PACKAGE).a); \
 +              @(rm -rf lib$(PACKAGE).tmp; mkdir -p lib$(PACKAGE).tmp; \
-               (cd lib$(PACKAGE).tmp && ar x ../lib$(PACKAGE).a); \
++              (cd lib$(PACKAGE).tmp && $(AR) x ../lib$(PACKAGE).a); \
                rm -f lib$(PACKAGE).tmp/xt*.o; \
                rm -f lib$(PACKAGE).tmp/tcl*.o; \
-@@ -193,7 +198,7 @@
+               CC='$(CC)' CXX=$(CXX) \
+@@ -193,8 +198,8 @@
                -lwsock32
  
  tclxpa:               $(LIB)
 -              @(rm -rf libtclxpa.tmp; mkdir libtclxpa.tmp; \
+-              (cd libtclxpa.tmp && ar x ../lib$(PACKAGE).a); \
 +              @(rm -rf libtclxpa.tmp; mkdir -p libtclxpa.tmp; \
-               (cd libtclxpa.tmp && ar x ../lib$(PACKAGE).a); \
++              (cd libtclxpa.tmp && $(AR) x ../lib$(PACKAGE).a); \
                rm -f libtclxpa.tmp/xt*.o; \
                CC='$(CC)' CXX=$(CXX) \
+               ./mklib -o tclxpa libtclxpa.tmp/*.o $(TCL_LIBS); \
 @@ -275,7 +280,7 @@
            do \
            if [ ! -d $$i ] ; then \
@@ -108,3 +117,26 @@
                cp -p -R ./man/* $(DISTDIR)/man/.)
  
  release:      dist
+--- a/mklib
++++ b/mklib
+@@ -211,9 +211,9 @@
+       if [ "x$LINK" = "x" ] ; then
+           # -linker was not specified so set default link command now
+             if [ $CPLUSPLUS = 1 ] ; then
+-                LINK=g++
++                LINK=${CXX}
+             else
+-                LINK=gcc
++                LINK=${CC}
+             fi
+       fi
+ 
+@@ -248,7 +248,7 @@
+         elif [ $STATIC = 1 ] ; then
+             LIBNAME="lib${LIBNAME}.a"     # prefix with "lib", suffix with 
".a"
+             echo "mklib: Making" $ARCH "static library: " ${LIBNAME}
+-            LINK="ar"
++            LINK="${AR}"
+             OPTS="-ru"
+             if [ "${ALTOPTS}" ] ; then
+                 OPTS=${ALTOPTS}

diff --git a/x11-libs/xpa/xpa-2.1.18.ebuild b/x11-libs/xpa/xpa-2.1.18.ebuild
index 623d26c3198..984f56d2241 100644
--- a/x11-libs/xpa/xpa-2.1.18.ebuild
+++ b/x11-libs/xpa/xpa-2.1.18.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit eutils autotools
+inherit autotools toolchain-funcs
 
 DESCRIPTION="Messaging system providing communication between programs"
 HOMEPAGE="https://github.com/ericmandel/xpa";
@@ -12,7 +12,7 @@ 
SRC_URI="https://github.com/ericmandel/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
 LICENSE="LGPL-2.1"
 SLOT="0/1"
 KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc static-libs"
+IUSE="doc"
 
 RDEPEND="
        dev-lang/tcl:0=
@@ -26,12 +26,13 @@ PATCHES=(
 
 src_prepare() {
        default
-       sed -e "s:\${LINK}:\${LINK} ${LDFLAGS}:" \
-               -i mklib || die
+       sed -e "s:\${LINK}:\${LINK} ${LDFLAGS}:" -i mklib || die
        eautoconf
 }
 
 src_configure() {
+       tc-export AR CC
+
        econf \
                --enable-shared \
                --enable-threaded-xpans \
@@ -47,11 +48,16 @@ src_compile() {
 src_install() {
        dodir /usr/$(get_libdir)
        emake INSTALL_ROOT="${D}" install
+
        insinto /usr/$(get_libdir)/tclxpa
        doins pkgIndex.tcl
-       mv  "${ED}"/usr/$(get_libdir)/libtclxpa* \
+
+       mv "${ED}"/usr/$(get_libdir)/libtclxpa* \
                "${ED}"/usr/$(get_libdir)/tclxpa/ || die
+
        dodoc README
        use doc && dodoc doc/*.pdf && dodoc doc/*.html
-       use static-libs || rm -f "${ED}"/usr/$(get_libdir)/*.a
+
+       # no static archives
+       rm "${ED}"/usr/$(get_libdir)/libxpa.a || die
 }

Reply via email to